=== debian/changelog ===
cancomm (1.0.0-1) UNRELEASED; urgency=low

  * Initial packaging of version 1.0.0.

 -- PragmaticLinux <info@pragmaticlinux.com>  Fri, 18 Mar 2022 17:37:51 +0100
