=== debian/control ===
Source: cancomm
Section: libs
Priority: optional
Maintainer: PragmaticLinux <info@pragmaticlinux.com>
Build-Depends: cmake, debhelper-compat (= 12)
Standards-Version: 4.5.0
Homepage: https://github.com/pragmaticlinuxblog/cancomm

Package: libcancomm1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SocketCAN communication library
 A library for convenient access to CAN communication, based on the
 SocketCAN kernel functionality.
  
Package: libcancomm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libcancomm1 (= ${binary:Version})
Description: SocketCAN communication library (development files)
 A library for convenient access to CAN communication, based on the
 SocketCAN kernel functionality.
 .
 This package provides development libraries and headers.
